﻿"use strict";
var express = require('express');
var router = express.Router();
var cache = require('memory-cache');
var fs = require('fs');

function Question(sQuestion, oAllAnswers, oCorrectAnswer) {
    this.questionText = sQuestion;
    this.answersList = oAllAnswers;
    this.correctAnswer = oCorrectAnswer;
}

router.get('/survey', function (req, res) {


 //   FileStuff();

    var arrAnswers = [];
    var arrBaseball = [];
    var arrNonBaseball = [];
    for (var i = 0; i < cache.get('PlayerList').length; i++) {

        var oPlayer = cache.get('PlayerList')[i];
        if (oPlayer.sport.toString().toUpperCase() == "BASEBALL") {
            if (arrBaseball.length == 0)
                arrBaseball.push(oPlayer);
        }
        else {
            if (arrNonBaseball.length < 4)
                arrNonBaseball.push(oPlayer);

        }
    }
//    console.log("BB" + arrBaseball.length);
//    console.log("NB" + arrNonBaseball.length);
    for (var i = 0; i < arrBaseball.length; i++) {
        arrAnswers.push(arrBaseball[i]);
    }
    for (var i = 0; i < arrNonBaseball.length; i++) {
        arrAnswers.push(arrNonBaseball[i]);
    }

    var sText = "Which of these players was on a baseball team?";
    var oQuestion = new Question(sText, arrAnswers, arrAnswers[0]);
    res.render('survey', {

        Question: oQuestion

    });
})

function FileStuff() {
    var sFileName = 'helloworldcool.txt'
    var sMsg = 'Yo cool it works'
    fs.writeFile(sFileName, sMsg, function (err) {
        if (err) return console.log(err);
        fs.readFile(sFileName, function (err, fileData) {
            if (err)
                throw err;
            if (fileData)
                console.log(fileData.toString('utf8'));
        });


    });

    var rstream = fs.createReadStream(sFileName);
    var dataLength = 0;
    rstream.on('data', function (chunk) {
        dataLength += chunk.length;
    })
    rstream.on('end', function () {  // done
        console.log('The length was:', dataLength);
    });
}

module.exports = router;